import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

public class ExampleCanvas extends Canvas {

	/* (non-Javadoc)
	 * @see javax.microedition.lcdui.Canvas#paint(javax.microedition.lcdui.Graphics)
	 */
	protected void paint(Graphics g) {
		g.setColor($bg$);
		g.fillRect(0x00, 0x00, getWidth(), getHeight());

		String message = "$message$";
		Font font = Font.getFont($font-face$, $font-style$, $font-size$);
		g.setFont(font);
		
		g.setColor($fg$);
		g.drawString(message, getWidth()/2, getHeight()/2, Graphics.HCENTER | Graphics.TOP);
	}
	
}
